Bug 592605 - warn if installations are found that cannot be upgraded
warn if installations are found that cannot be upgraded
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-15 13:33 EDT by Larkin Lowrey
Modified: 2010-06-08 12:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-08 12:29:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
anaconda.log (2.37 KB, text/plain)
2010-05-16 14:27 EDT, Larkin Lowrey
no flags Details
storage.log (2.32 KB, application/octet-stream)
2010-05-16 14:27 EDT, Larkin Lowrey
no flags Details
syslog (96.71 KB, text/plain)
2010-05-16 14:27 EDT, Larkin Lowrey
no flags Details
storage.log (575.22 KB, text/plain)
2010-05-17 10:06 EDT, Larkin Lowrey
no flags Details

  None (edit)
Description Larkin Lowrey 2010-05-15 13:33:04 EDT
Description of problem:
Anaconda does not let me select whether I want to install new, or upgrade existing. It only presents me with the option to pick basic or advanced storage devices. When I select basic, I am only shown a list of hard drives (all 15 are detected). The advanced mode shows nothing but the hard drives. Proceeding on either path takes me down the "install new" path, and not the upgrade path. The F12 installer 'does the right thing' and prompts me to select "install new" or "upgrade existing".

Additionally, the "install new" path does not offer any of the existing LVM volumes as targets.

Version-Release number of selected component (if applicable):
F13 RC3

How reproducible:
Every time

Steps to Reproduce:
1. Configure existing system with mdraid and LVM
2. Boot F13 RC3 DVD and select the install or upgrade option
3. Follow the only paths available
  
Actual results:
Only taken down the "install new" path.

Expected results:
Offered the option to upgrade existing. Should also give the option to install new to existing LVM volumes.

Additional info:
Just for fun, I selected the rescue option from the DVD grub menu. It managed to find and mount all of the volumes correctly.

While anaconda was running, I got a prompt via alt-f2 and 'cat /proc/mdstat' showed no raid volumes. I then ran 'mdadm -As --auto=yes --run', 'lvm pvscan', 'lvm vgscan', and 'lvm vgchange -ay'. All of my volumes were detected and activated.

When I went back to anaconda, it listed each LVM volume as "Unknown" with the correct disk space. But again, this would be for the "install new" path.

Interestingly, when I did get all my volumes mounted, the minors for my md devices were strange. They were 123 through 127 instead of 0-4. I verified via 'mdadm --detail' that preferred minors were those numbers. When I booted F10 they were back to 0-4 and the preferred minor values were back to 0-4.
Comment 1 Larkin Lowrey 2010-05-16 14:27:05 EDT
Created attachment 414397 [details]
anaconda.log
Comment 2 Larkin Lowrey 2010-05-16 14:27:24 EDT
Created attachment 414398 [details]
storage.log
Comment 3 Larkin Lowrey 2010-05-16 14:27:40 EDT
Created attachment 414399 [details]
syslog
Comment 4 Hans de Goede 2010-05-17 04:53:09 EDT
The initial disk selection UI is what we call the filter UI, it is meant to filter out disks which you absolutely do not want the installer to touch at all (including not bringing up mdraid / lvm on those disks or looking there for an older version to upgrade).

As such it only shows disks (or firmware RAID sets) pure software RAID and LVM is not shown there. As rescue mode works, if you simply select all your disks there and continue you should get the upgrade / install question.

If that does not work please reopen this bug.
Comment 5 Larkin Lowrey 2010-05-17 10:06:08 EDT
Created attachment 414561 [details]
storage.log

New storage log which shows upgrade path being rejected
Comment 6 Larkin Lowrey 2010-05-17 10:09:01 EDT
I uploaded a new storage.log which shows the following:

"product Fedora version 10 found on Raid-Root is not upgradable"

Q1: Is upgrading from F10 -> F13 truly not possible/legal?

Q2: Shouldn't the UI inform the user that one or more upgrade possibility was disallowed? Instead, I was just presented with the new install screens.
Comment 7 Chris Lumens 2010-05-26 17:23:41 EDT
> Q1: Is upgrading from F10 -> F13 truly not possible/legal?

That is correct.  Fedora only supports upgrading from n to n+1.

> Q2: Shouldn't the UI inform the user that one or more upgrade possibility was
> disallowed? Instead, I was just presented with the new install screens.    

Yeah if we find older releases on the system, we should probably stop and warn about it instead of blindly moving ahead with the install.  Note that this won't catch all cases, as if you have an installation we somehow cannot detect, we won't have any information to go on for presenting a warning dialog.

I'm retitling this bug to match Q2.
Comment 8 Brian Lane 2010-06-08 12:29:31 EDT
Fixed with commit 1dd823a0753f9d6998fc2d7db1ab4416f486ef89

Note You need to log in before you can comment on or make changes to this bug.